Page MenuHomePhabricator

Add secondary link for the agent to some notification types
Closed, ResolvedPublic

Description

For the following notification types, we'd like to add a secondary link to the user page (with the label being the user name and the icon being userAvatar) of the agent to serve as a signature of sorts: a consistent way to indicate who performed the action you're being notified about. Where this secondary link is present, it should always be the first secondary link.

Notification types:

flowusertalk-new-topic
flowusertalk-post-reply
flowusertalk-topic-renamed
flowusertalk-post-edited
flowboard-description-edited

Event Timeline

Catrope created this task.Dec 17 2015, 1:11 AM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 1:11 AM
Catrope triaged this task as High priority.Dec 17 2015, 1:11 AM
Catrope set Security to None.
Catrope updated the task description. (Show Details)

Change 260587 had a related patch set uploaded (by Sbisson):
Add agent link to most notifications

https://gerrit.wikimedia.org/r/260587

SBisson updated the task description. (Show Details)Dec 22 2015, 3:59 PM

Change 260589 had a related patch set uploaded (by Sbisson):
Add agent link to most Flow notifications

https://gerrit.wikimedia.org/r/260589

Change 260590 had a related patch set uploaded (by Sbisson):
Add agent link to all Thanks notifications

https://gerrit.wikimedia.org/r/260590

SBisson updated the task description. (Show Details)Dec 22 2015, 4:04 PM

Change 260594 had a related patch set uploaded (by Sbisson):
Add agent link to all PageTriage notifications

https://gerrit.wikimedia.org/r/260594

SBisson updated the task description. (Show Details)Dec 22 2015, 4:19 PM

Change 260597 had a related patch set uploaded (by Sbisson):
Add agent link to all notifications

https://gerrit.wikimedia.org/r/260597

SBisson updated the task description. (Show Details)Dec 22 2015, 4:37 PM

Change 260623 had a related patch set uploaded (by Sbisson):
Add agent link on al notifications

https://gerrit.wikimedia.org/r/260623

Change 260587 merged by jenkins-bot:
Add agent link to most notifications

https://gerrit.wikimedia.org/r/260587

Change 260594 merged by jenkins-bot:
Add agent link to all PageTriage notifications

https://gerrit.wikimedia.org/r/260594

Change 260597 merged by jenkins-bot:
Add agent link to all notifications

https://gerrit.wikimedia.org/r/260597

Change 260623 merged by jenkins-bot:
Add agent link to all notifications

https://gerrit.wikimedia.org/r/260623

Change 260590 merged by jenkins-bot:
Add agent link to all Thanks notifications

https://gerrit.wikimedia.org/r/260590

Change 260589 merged by jenkins-bot:
Add agent link to most Flow notifications

https://gerrit.wikimedia.org/r/260589

The OpenStackManager ones work on wikitech.

Current screenshots:

edit-user-talk

wiki text user talk page


Flow enabled talk page

reverted

mention

user-rights

emailuser

flow-new-topic

flow-post-reply

flow-post-edited

flow-topic-renamed

flow-mention

edit-thank

flow-thank

All PageTriage notifications

All EducationProgram notifications

I checked the spreadsheet and found the following new notification types that also get the agent secondary link:

  • flowusertalk-new-topic
  • flowusertalk-post-reply
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited
  • flowboard-description-edited

I've added those five to the ticket description above. Also, should probably check the OpenStackManager notifications:

  • osm-instance-build-completed
  • osm-instance-reboot-completed
  • osm-instance-deleted
  • osm-projectmembers-add

Moving this back to Q&A.

The following are checked as part of verifying T121663: Create new notification category for talk pages: flowusertalk
flowusertalk-topic-renamed
flowusertalk-post-edited

Etonkovidova added a comment.EditedMar 3 2016, 7:52 PM

Checked in betalabs:

flowusertalk-new-topic
flowusertalk-post-reply
flowboard-description-edited

flowusertalk-post-reply and flowboard-description-edited - look/function according to specs - see the screenshot.

@SBisson flowusertalk-new-topic Primary link does not direct to "The Flow board, with sorting order forced to newest topics first]"
Currently, when clicked on flowusertalk-new-topic, the new topic page will be displayed.
Note: When new topics are bundled, the primary link works according to specs.

@SBisson flowusertalk-new-topic Primary link does not direct to "The Flow board, with sorting order forced to newest topics first]"
Currently, when clicked on flowusertalk-new-topic, the new topic page will be displayed.

I think the primary action for 'flow-new-topic' and 'flowusertalk-new-topic' should be consistent

  • Single: New topic page
  • Bundle: Flow board, sorted by newest topics

Is it possible that this was a mistake in the spec?

Stephane suggests:

I think the primary action for 'flow-new-topic' and 'flowusertalk-new-topic' should be consistent
Single: New topic page
Bundle: Flow board, sorted by newest topics

Makes sense to me. I've updated the spreadsheet and requested comment. Meanwhile, @SBisson, please note that for consistency I've also changed the Primary Link Labels -- to View topic and View topics, respectively.

Checked according to @SBisson comments - all specs are in place.

I think the primary action for 'flow-new-topic' and 'flowusertalk-new-topic' should be consistent
Single: New topic page
Bundle: Flow board, sorted by newest topics

jmatazzoni closed this task as Resolved.Mar 15 2016, 8:40 PM